# Uses of Class
javax.net.ssl.SSLContext

Packages that use SSLContext
Package
Description
com.sun.net.httpserver
Provides a simple high-level Http server API, which can be used to build embedded HTTP servers.
java.net.http
HTTP Client and WebSocket APIs
javax.net.ssl
Provides classes for the secure socket package.
javax.rmi.ssl
Provides implementations of `RMIClientSocketFactory` and `RMIServerSocketFactory` over the Secure Sockets Layer (SSL) or Transport Layer Security (TLS) protocols.

## Uses of SSLContext in com.sun.net.httpserver

Methods in com.sun.net.httpserver that return SSLContext
Modifier and Type
Method
Description
`SSLContext`
HttpsConfigurator.`getSSLContext()`
Returns the `SSLContext` for this `HttpsConfigurator`.
Constructors in com.sun.net.httpserver with parameters of type SSLContext
Modifier
Constructor
Description
``
`HttpsConfigurator(SSLContext context)`
Creates a Https configuration, with the given `SSLContext`.

## Uses of SSLContext in java.net.http

Methods in java.net.http that return SSLContext
Modifier and Type
Method
Description
`abstract SSLContext`
HttpClient.`sslContext()`
Returns this client's `SSLContext`.
Methods in java.net.http with parameters of type SSLContext
Modifier and Type
Method
Description
`HttpClient.Builder`
HttpClient.Builder.`sslContext(SSLContext sslContext)`
Sets an `SSLContext`.

## Uses of SSLContext in javax.net.ssl

Methods in javax.net.ssl that return SSLContext
Modifier and Type
Method
Description
`static SSLContext`
SSLContext.`getDefault()`
Returns the default SSL context.
`static SSLContext`
SSLContext.`getInstance(String protocol)`
Returns a `SSLContext` object that implements the specified secure socket protocol.
`static SSLContext`
SSLContext.`getInstance(String protocol, String provider)`
Returns a `SSLContext` object that implements the specified secure socket protocol.
`static SSLContext`
SSLContext.`getInstance(String protocol, Provider provider)`
Returns a `SSLContext` object that implements the specified secure socket protocol.
Methods in javax.net.ssl with parameters of type SSLContext
Modifier and Type
Method
Description
`static void`
SSLContext.`setDefault(SSLContext context)`
Sets the default SSL context.

## Uses of SSLContext in javax.rmi.ssl

Constructors in javax.rmi.ssl with parameters of type SSLContext
Modifier
Constructor
Description
``
`SslRMIServerSocketFactory(SSLContext context, String[] enabledCipherSuites, String[] enabledProtocols, boolean needClientAuth)`
Creates a new `SslRMIServerSocketFactory` with the specified `SSLContext` and SSL socket configuration.